Forum: Italian Ruby user group installaredue versioni di ruby

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
3ee5cbf98593335336c1ee2152ba8eb2?d=identicon&s=25 Mariarosaria Trovato (mariaerre)
on 2009-03-30 12:19
Come ho detto nel topic precedente, purtroppo senza risposta,
ho installato ruby 1.9.1. e rails 2.3.2

Siccome vedo nella cartella ruby
C:\ruby191232\lib\ruby\1.9.1
e
C:\ruby191232\lib\ruby\gems\1.9.1
mi viene da chiedere se posso installare contemporaneamente ruby 1.87 e
ruby 1.9.1
e se si come dire a rails di usare l'una o l'altra.

Ciao
3ee5cbf98593335336c1ee2152ba8eb2?d=identicon&s=25 Mariarosaria Trovato (mariaerre)
on 2009-03-30 12:35
Il S.O.  è windows
8768bcdbda1adf80e4da6744268868af?d=identicon&s=25 Pietro Giorgianni (giorgian)
on 2009-03-30 17:51
(Received via mailing list)
Il 30 marzo 2009 12.19, Mariarosaria Trovato <mrtvt@libero.it> ha
scritto:
> mi viene da chiedere se posso installare contemporaneamente ruby 1.87 e
> ruby 1.9.1
> e se si come dire a rails di usare l'una o l'altra.

ciao,

io ho installato ruby 1.8.6 da installer, in c:\ruby, e ruby 1.9.1
(zip) in c:\ruby1.9.1.

le due installazioni se ne stanno lì senza infastidirsi a vicenda,
l'unica questione è il path: se nel path c'è prima ruby1.9.1,
digitando ruby partirà ruby 191, se invece c'è l'altro, partirà
quello.

non so se a rails si debba dire qualcosa: in windows rails si fa
partire con cose tipo ruby script\console, ed è appunto lì che si
gioca tutto: \ruby1.9.1\bin\ruby rails oppure \ruby\bin\ruby rails.

pietro
3ee5cbf98593335336c1ee2152ba8eb2?d=identicon&s=25 Mariarosaria Trovato (mariaerre)
on 2009-03-30 19:29
Dato che nella cartella ruby vedo questo
C:\ruby\lib\ruby\1.9.1
e questo
C:\ruby\lib\ruby\gems\1.9.1

mi viene da pansare a una
C:\ruby\lib\ruby\1.8.7
e ad una
C:\ruby\lib\ruby\gems\1.9.1

cioè tutto in c:\ruby

altrimenti perchè queste distinzioni ?

sbaglio ?

mr
Eff93e9bbe063b7136c9b6f218071a09?d=identicon&s=25 Marco Mastrodonato (marcomd)
on 2009-04-03 09:58
Mariarosaria Trovato wrote:
> Dato che nella cartella ruby vedo questo
> C:\ruby\lib\ruby\1.9.1
> e questo
> C:\ruby\lib\ruby\gems\1.9.1
>
> mi viene da pansare a una
> C:\ruby\lib\ruby\1.8.7
> e ad una
> C:\ruby\lib\ruby\gems\1.9.1
>
> cioè tutto in c:\ruby
>
> altrimenti perchè queste distinzioni ?
>
> sbaglio ?
>
> mr

Io utilizzo netbeans 6.5, con questo ide ad ogni progetto puoi
specificare l'interprete, indipendentemente dall'impostazione della
variabile globale del tuo sistema operativo, non so cosa faccia per
permettere questo, non mi sono mai informato (se lo scopri dimmelo).
Un'alternativa è quella di modificare la variabile a.m.b.i.e.n.t.e path
specificando la cartella bin della nuova installazione:
tasto destro su risorse del computer -> proprietà -> avanzate ->
variabile a.m.b.i.e.n.t.e -> sezione variabili sistema -> clikki su path
->
modifica -> cerchi c:\ruby\bin e la sostituisci con es. c:\ruby191\bin
(terrei le installazioni ben separate).

Detto questo ti dico la mia esperienza per cercare di migliorare le
prestazioni delle mie applicazioni: dopo aver provato la 1.9.1 e jruby
sono tornato alla versione 1.8.6, ci riproverò
114ff87909d3f24150ff3d70d5254338?d=identicon&s=25 Luca Guidi (Guest)
on 2009-04-03 10:54
(Received via mailing list)
This topic is locked and can not be replied to.